This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 489497 - ui issues
ui issues
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2009-03-10 09:57 EDT by Matthias Clasen
Modified: 2009-03-30 04:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-30 04:02:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2009-03-10 09:57:13 EDT
Some issues in the preferences dialog:


- "On Daemon" is not a string you can show in the ui and expect any user to understand. Try something descriptive like "When input methods are active"
The other choices in that combobox don't make grammatical sense either:

Show language panel: [Alway show] 

just does not read smoothly. The choices should probably be "Always" and "Never".

You should also consider using a different widget for this, e.g. a radio group. Compare the "Notification Area" section in the poer management preferences.


- The "Show language panel" option should not be indented relative to the previous one


- There is a general lack of padding in that dialog (refer to the HIG for specific recommendations:  http://library.gnome.org/devel/hig-book/stable/design-window.html)
Comment 1 Peng Huang 2009-03-11 03:08:29 EDT
I changed choices to "Never", "Dynamically" and "Always". Do you think it is OK?
I also updated the setup ui layout follow the GNOME UI Guidelines.
Comment 2 Matthias Clasen 2009-03-11 12:02:37 EDT
Sounds much better. I'll have a look when it lands in rawhide, thanks.
Comment 3 Jens Petersen 2009-03-12 02:32:31 EDT
(In reply to comment #1)
> I changed choices to "Never", "Dynamically" and "Always".

That sounds ok, though maybe "When active" would be easier to understand than "Dynamically".
Comment 4 Peng Huang 2009-03-19 21:56:11 EDT
Fixed in upstream source tree. It will be built in rawhide later.

Note You need to log in before you can comment on or make changes to this bug.